Subject: Re: linux-next: manual merge of the iio tree with the char-misc.current tree

From: Jonathan Cameron <[email-masked]>
Date: Sun, 1 May 2022 19:09:43 +0100

On Fri, 29 Apr 2022 14:47:21 +1000
Stephen Rothwell <[email-masked]> wrote:

> Hi all,
> 
> On Fri, 29 Apr 2022 14:35:17 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > diff --cc drivers/iio/dac/ti-dac5571.c
> > index 0b775f943db3,96b86e2dcc6b..000000000000
> > --- a/drivers/iio/dac/ti-dac5571.c
> > +++ b/drivers/iio/dac/ti-dac5571.c
> > @@@ -393,15 -386,16 +394,16 @@@ static int dac5571_remove(struct i2c_cl
> >   }
> >   
> >   static const struct of_device_id dac5571_of_id[] = {
> >  -	{.compatible = "ti,dac5571"},
> >  -	{.compatible = "ti,dac6571"},
> >  -	{.compatible = "ti,dac7571"},
> >  -	{.compatible = "ti,dac5574"},
> >  -	{.compatible = "ti,dac6574"},
> >  -	{.compatible = "ti,dac7574"},
> >  -	{.compatible = "ti,dac5573"},
> >  -	{.compatible = "ti,dac6573"},
> >  -	{.compatible = "ti,dac7573"},
> >  -	{.compatible = "ti,dac121c081"},
> >  +	{.compatible = "ti,dac5571", .data = (void *)single_8bit},
> >  +	{.compatible = "ti,dac6571", .data = (void *)single_10bit},
> >  +	{.compatible = "ti,dac7571", .data = (void *)single_12bit},
> >  +	{.compatible = "ti,dac5574", .data = (void *)quad_8bit},
> >  +	{.compatible = "ti,dac6574", .data = (void *)quad_10bit},
> >  +	{.compatible = "ti,dac7574", .data = (void *)quad_12bit},
> >  +	{.compatible = "ti,dac5573", .data = (void *)quad_8bit},
> >  +	{.compatible = "ti,dac6573", .data = (void *)quad_10bit},
> >  +	{.compatible = "ti,dac7573", .data = (void *)quad_12bit},
> > ++	{.compatible = "ti,dac121c081", data = (void *)single_12bit},  
>                                         ^
> I fixed up the missing '.'
> 

Thanks Stephen and sorry I missed this one locally! Trying to sneak
a last few patches in at the end of the day is always a bad idea -
particularly my memory of what is going through my various branches is
clearly less than perfect!

I've decided to back the series out for now and resolve it once the
fix in char-misc fix filters back to my tree.

Thanks as ever for your hard work!

Jonathan